Summary: WindowMaker - a window manager for X11  
Name: WindowMaker
Version: 0.14.1
Release: 2
Copyright: GPL
Group: X Windows/Window Managers
Source0: ftp://windowmaker.org/pub/WindowMaker-0.14.1.tar.gz
Source1: ftp://windowmaker.org/pub/WindowMaker-data.tar.gz
Patch0: WindowMaker-0.14.0-make.patch
Patch1: WindowMaker-0.11.0-pager.patch
BuildRoot: /var/tmp/WindowMaker-root

%description
WindowMaker is a window manager designed to emulate the look
and feel of part of the NEXTSTEP(tm) GUI. It's supposed to be fast,
relatively small, feature rich and easy to configure, with
a simple and elegant appearance borrowed from NEXTSTEP(tm).

%package -n asclock
Summary: A nice X11 clock app for use with AfterStep and/or WindowMaker
Group: X Windows/Applications
Conflicts: AfterStep

%description -n asclock
The  asclock  is  a clock written to emulate the date/time application on
the NEXTSTEP(tm) operating system.  asclock supports multiple languages,
military and AM/PM time formats, program execution, and the shape
extension to X-Windows.

%changelog
* Fri May 22 1998 Cristian Gafton <gafton@redhat.com>
- packaged for PowerTools

* Fri Feb 27 1998 Cristian Gafton <gafton@redhat.com>
- updated to 0.14.0

* Fri Jan 30 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 0.13.0
- added the include files and the development libraries

* Thu Nov 20 1997 Cristian Gafton <gafton@redhat.com>
- first build against glibc

%prep
%setup -a 1
tar xzf libPropList.tar.gz
tar xzf misc/asclock.tgz
%patch0 -p1 -b .make
%patch1 -p1 -b .pager

%build
cd libPropList
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make
cd ..
CFLAGS="$RPM_OPT_FLAGS"
NLSDIR=/usr/share/locale
export CFLAGS NLSDIR
./configure --prefix=/usr --enable-newstyle --enable-superfluous
make
cd asclock
xmkmf
make

%install
rm -rf $RPM_BUILD_ROOT
make install 	prefix=$RPM_BUILD_ROOT/usr \
		exec_prefix=$RPM_BUILD_ROOT/usr/X11R6 \
		nlsdir=$RPM_BUILD_ROOT/usr/share/locale
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
install -m 644 WindowMaker-data/pixmaps/* $RPM_BUILD_ROOT/usr/share/pixmaps
install -m 644 asclock/*.xpm $RPM_BUILD_ROOT/usr/share/pixmaps
make install install.man DESTDIR=$RPM_BUILD_ROOT -C asclock
# any better idea to get rid of asclock ?
find $RPM_BUILD_ROOT -type f -o -type l | \
	sed -e "s|$RPM_BUILD_ROOT||g" | \
	grep -v asclock > filelist

%clean
rm -rf $RPM_BUILD_ROOT
rm -f filelist

%files -f filelist
%doc AUTHORS BUGFORM BUGS ChangeLog NEWS FAQ README
%dir /usr/share/WindowMaker

%files -n asclock
/usr/X11R6/bin/asclock
/usr/X11R6/man/man1/asclock.1x
